AbstractOutDatabindingInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class AbstractOutDatabindingInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public abstract class AbstractOutDatabindingInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DISABLE_OUTPUTSTREAM_OPTIMIZATION` |
    `static String` | `OUT_BUFFERING` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractOutDatabindingInterceptor​(String phase)` |
    `AbstractOutDatabindingInterceptor​(String id, String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected <T> DataWriter<T>` | `getDataWriter​(Message message, Service service, Class<T> output)` |
    `protected XMLStreamWriter` | `getXMLStreamWriter​(Message message)` |
    `protected void` | `setOperationSchemaValidation​(Message message)` |
    `protected boolean` | `shouldBuffer​(Message message)` |
    `protected boolean` | `shouldValidate​(Message m)` |
    `protected void` | `writeParts​(Message message, Exchange exchange, BindingOperationInfo operation, MessageContentsList objs, List<MessagePartInfo> parts)` |
    `protected boolean` | `writeToOutputStream​(Message m, BindingInfo info, Service s)` |

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.interceptor.Interceptor

      `handleMessage`

- - ### Field Detail

    - #### DISABLE_OUTPUTSTREAM_OPTIMIZATION

          public static final String DISABLE_OUTPUTSTREAM_OPTIMIZATION

      See Also:
        Constant Field Values

    - #### OUT_BUFFERING

          public static final String OUT_BUFFERING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractOutDatabindingInterceptor

          public AbstractOutDatabindingInterceptor​(String phase)

    - #### AbstractOutDatabindingInterceptor

          public AbstractOutDatabindingInterceptor​(String id,
                                                   String phase)

  - ### Method Detail

    - #### shouldBuffer

          protected boolean shouldBuffer​(Message message)

    - #### writeParts

          protected void writeParts​(Message message,
                                    Exchange exchange,
                                    BindingOperationInfo operation,
                                    MessageContentsList objs,
                                    List<MessagePartInfo> parts)

    - #### setOperationSchemaValidation

          protected void setOperationSchemaValidation​(Message message)

    - #### shouldValidate

          protected boolean shouldValidate​(Message m)

    - #### writeToOutputStream

          protected boolean writeToOutputStream​(Message m,
                                                BindingInfo info,
                                                Service s)

    - #### getDataWriter

          protected <T> DataWriter<T> getDataWriter​(Message message,
                                                    Service service,
                                                    Class<T> output)

    - #### getXMLStreamWriter

          protected XMLStreamWriter getXMLStreamWriter​(Message message)